ZMDefaultSeoRewriter
public class ZMDefaultSeoRewriter
| Method Summary | |
|---|---|
| void | Create new instance. |
| void | decode(mixed request) {@inheritDoc} |
| protected boolean | decodePath(ZMRequest request) Decode path implementation. |
| void | rewrite(mixed request, mixed args) {@inheritDoc} |
| protected string | rewriteDefault(ZMRequest request, string requestId, string params, boolean secure) Rewrite default implementation using query parameter. |
| protected string | rewritePath(ZMRequest request, string requestId, string params, boolean secure) Rewrite path implementation using something like '[index.php/]foo/value-of-foo/bar/value-of-bar'. |
public void __construct()
Create new instance.
public void decode(mixed request)
protected boolean decodePath(ZMRequest request)
Decode path implementation.
true if decoded, false if not.public void rewrite(mixed request, mixed args)
protected string rewriteDefault(ZMRequest request, string requestId, string params, boolean secure)
Rewrite default implementation using query parameter.
protected string rewritePath(ZMRequest request, string requestId, string params, boolean secure)
Rewrite path implementation using something like '[index.php/]foo/value-of-foo/bar/value-of-bar'.
Default SEO rewriter.